API reference
Get active storefront CMS settings
Returns the CMS settings on their own. Prefer the full store settings snapshot unless you only need this slice.
GET
/v1/site-settingsReturns the CMS settings on their own. Prefer the full store settings snapshot unless you only need this slice.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/v1/site-settings"{ "themeKey": "string", "branding": { "logoUrl": null, "logoDarkUrl": null, "faviconUrl": null, "socialImageUrl": null }, "seo": { "siteName": null, "metaTitle": null, "metaDescription": null, "titleTemplate": null, "robotsIndex": true }, "contact": { "supportEmail": null, "phone": null, "whatsapp": null, "address": null, "socialLinks": { "instagram": null, "facebook": null, "tiktok": null, "youtube": null, "x": null } }, "tracking": { "googleAnalyticsMeasurementId": null, "metaPixelId": null, "googleTagManagerContainerId": null }, "customScripts": { "enabled": true, "head": null, "bodyEnd": null }, "updatedOn": null}